NETDEV_LOWER_GET_NEX(9)

NAME
netdev_lower_get_next_private - Get the next ->private from the lower neighbour list

SYNOPSIS

void * netdev_lower_get_next_private(struct net_device * dev, struct list_head ** iter);

ARGUMENTS

dev
    device

iter
    list_head ** of the current position

DESCRIPTION

Gets the next netdev_adjacent->private from the dev's lower neighbour list, starting from iter position. The caller must hold either hold the RTNL lock or its own locking that guarantees that the neighbour lower list will remain unchainged.

COPYRIGHT